Package org.pushingpixels.substance.api.painter.overlay

# Class BottomShadowOverlayPainter

java.lang.Object
org.pushingpixels.substance.api.painter.overlay.BottomShadowOverlayPainter

All Implemented Interfaces:
  `SubstanceOverlayPainter`, `SubstanceTrait`

public final class BottomShadowOverlayPainter extends Object implements SubstanceOverlayPainter
Overlay painter that paints a few pixel-high drop shadow at the bottom edge of the relevant decoration area. This class is part of officially supported API.

Since:
  version 5.3

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name of `this` trait.
`static BottomShadowOverlayPainter`
`getInstance()`
Returns the single instance of this class.
`void`
`paintOverlay(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)`
Paints the overlay.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static BottomShadowOverlayPainter getInstance()
Returns the single instance of this class.

Returns:
  Single instance of this class.

### paintOverlay

public void paintOverlay(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)
Description copied from interface: `SubstanceOverlayPainter`
Paints the overlay.

Specified by:
  `paintOverlay` in interface `SubstanceOverlayPainter`
Parameters:
  `graphics` - Graphics context.
  `comp` - Component.
  `decorationAreaType` - Decoration area type. Must not be `null`.
  `width` - Width.
  `height` - Height.
  `skin` - Skin for painting the overlay.

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Specified by:
  `getDisplayName` in interface `SubstanceTrait`
Returns:
  The display name of `this` trait.